> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dzap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Balances

> Fetch on-chain balances for every token an account holds on a given chain.

## Query

<ParamField query="chainId" type="integer" required />

<ParamField query="account" type="string" required />

## Response

<ResponseField name="data" type="object">Map keyed by token address, each value a token info object (same shape as [Token Details](/api/trade/token-details)) with `balance`/`balanceInUsd` populated.</ResponseField>

<RequestExample>
  ```bash curl theme={null}
  curl "https://api.dzap.io/v1/token/balance-of?chainId=1&account=0x99BCEBf44433E901597D9fCb16E799a4847519f6"
  ```

  ```ts SDK theme={null}
  const balances = await dzap.getBalances(1, '0x99BCEBf44433E901597D9fCb16E799a4847519f6');
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": "success",
    "data": {
      "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913": {
        "contract": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
        "symbol": "USDC",
        "name": "USD Coin",
        "decimals": 6,
        "logo": "https://...",
        "chainId": 8453,
        "balance": "1000000",
        "balanceInUsd": 1.0
      }
    }
  }
  ```
</ResponseExample>
